Bug 820311 - Manpage: rsyslogd does the fork in debug mode while manpage says otherwise
Manpage: rsyslogd does the fork in debug mode while manpage says otherwise
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: rsyslog (Show other bugs)
6.3
Unspecified Unspecified
medium Severity medium
: rc
: ---
Assigned To: Tomas Heinrich
Dalibor Pospíšil
: ManPageChange, Reopened
Depends On:
Blocks: 805204
  Show dependency treegraph
 
Reported: 2012-05-09 11:11 EDT by Karel Srot
Modified: 2012-06-20 02:59 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Previously, the manual page stated that the '-d' option which turns on debugging causes the daemon to run in foreground. This was misleading as the current behavior is to run in background. The manual page was updated to reflect the correct behavior.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-20 02:59:09 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Karel Srot 2012-05-09 11:11:16 EDT
Description of problem:

rsyslog-5.8.10-1.el6.x86_64

When starting rsyslogd in debug mode (rsyslogd -d) the process should not fork and disconnect from the terminal but it actually does. 
This bug makes rsyslogd debugging hard.

This is a regression introduced by rsyslog update in bug 672182.
Comment 4 Karel Srot 2012-05-10 12:33:45 EDT
Lowering the severity since this can be workarounded with 
rsyslogd -dn

But anyway it seems to be a bug & regression
Comment 5 Tomas Heinrich 2012-05-11 09:06:48 EDT
According to upstream, this is the intended behavior.
Comment 6 Karel Srot 2012-05-14 01:49:07 EDT
Reopening this bug for updating the rsyslogd manpage. 

ATM it states:

       -d     Turns on debug mode.  Using this the daemon will not proceed
              a fork(2) to set  itself in  the  background, but opposite 
              to that stay in the foreground and write much debug 
              information on the current tty.  See the DEBUGGING section 
              for more information.

which is in opposite to #c5 (intended behavior).
Comment 11 Tomas Heinrich 2012-05-17 13:00:59 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Previously, the manual page stated that the '-d' option which turns on debugging causes the daemon to run in foreground.
This was misleading as the current behavior is to run in background. The manual page was updated to reflect the correct behavior.
Comment 12 Dalibor Pospíšil 2012-05-18 06:55:30 EDT
    Technical note updated. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    Diffed Contents:
@@ -1 +1,2 @@
-Previously, the manual page stated that the '-d' option which turns on debugging causes the daemon to run in foreground.
This was misleading as the current behavior is to run in background. The manual page was updated to reflect the correct behavior.+Previously, the manual page stated that the '-d' option which turns on debugging causes the daemon to run in foreground.
+This was misleading as the current behavior is to run in background. The manual page was updated to reflect the correct behavior.
Comment 15 errata-xmlrpc 2012-06-20 02:59:09 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2012-0796.html

Note You need to log in before you can comment on or make changes to this bug.